nxt.ae

## Class TradeHome.Trade

- java.lang.Object
- - nxt.ae.TradeHome.Trade

- Enclosing class:
    TradeHome

      public final class TradeHome.Trade
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAskOrderFullHash()`
    `int` | `getAskOrderHeight()`
    `long` | `getAskOrderId()`
    `long` | `getAssetId()`
    `byte[]` | `getBidOrderFullHash()`
    `int` | `getBidOrderHeight()`
    `long` | `getBidOrderId()`
    `long` | `getBlockId()`
    `long` | `getBuyerId()`
    `ChildChain` | `getChildChain()`
    `int` | `getHeight()`
    `long` | `getPriceNQT()`
    `long` | `getQuantityQNT()`
    `long` | `getSellerId()`
    `int` | `getTimestamp()`
    `boolean` | `isBuy()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getChildChain

          public final ChildChain getChildChain()

    - #### getBlockId

          public long getBlockId()

    - #### getAskOrderId

          public long getAskOrderId()

    - #### getAskOrderFullHash

          public byte[] getAskOrderFullHash()

    - #### getBidOrderId

          public long getBidOrderId()

    - #### getBidOrderFullHash

          public byte[] getBidOrderFullHash()

    - #### getAskOrderHeight

          public int getAskOrderHeight()

    - #### getBidOrderHeight

          public int getBidOrderHeight()

    - #### getSellerId

          public long getSellerId()

    - #### getBuyerId

          public long getBuyerId()

    - #### getQuantityQNT

          public long getQuantityQNT()

    - #### getPriceNQT

          public long getPriceNQT()

    - #### getAssetId

          public long getAssetId()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()

    - #### isBuy

          public boolean isBuy()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`